# $Revision: 1.22 $, $Date: 2009/02/26 12:48:55 $
%define		_ver	%(echo %{version} | tr . _).1
Summary:	Userspace part of Modular ISDN stack
Summary(pl.UTF-8):	Część stosu modularnego ISDN (mISDN) dla przestrzeni użytkonika
Name:		mISDNuser
Version:	1.1.9
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.misdn.org/downloads/releases/%{name}-%{_ver}.tar.gz
# Source0-md5:	16f44afd62c60eefbb5cc930c64a342f
Patch0:		%{name}-build.patch
URL:		http://www.isdn4linux.de/mISDN/
BuildRequires:	mISDN-devel >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mISDN (modular ISDN) is intended to be the new ISDN stack for the
Linux 2.6 kernel, from the maintainer of the existing isdn4linux code.
This package contains the userspace libraries required to interface
directly to mISDN.

%description -l pl.UTF-8
mISDN (modularny ISDN) ma być nowym stosem ISDN dla jądra Linuksa 2.6
tworzonym przez maintainera obecnego kodu isdn4linux. Ten pakiet
zawiera biblioteki przestrzeni użytkownika potrzebne do bezpośredniej
komunikacji z mISDN.

%package devel
Summary:	Development files Modular ISDN stack
Summary(pl.UTF-8):	Pliki nagłówkowe stosu modularnego ISDN
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	mISDN-devel

%description devel
This package contains the development files for userspace libraries
required to interface to mISDN, needed for compiling applications
which use mISDN directly such as OpenPBX.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki programistyczne dla bibliotek przestrzeni
użytkownika służących do komunikacji z mISDN. Jest potrzebny do
kompilacji aplikacji używających bezpośrednio mISDN, takich jak
OpenPBX.

%package utils
Summary:	Debugging utilities for Modular ISDN stack
Summary(pl.UTF-8):	Narzędzia diagnostyczne dla stosu modularnego ISDN
Group:		Applications/System

%description utils
mISDN (modular ISDN) is intended to be the new ISDN stack for the
Linux 2.6 kernel, from the maintainer of the existing isdn4linux code.
This package contains test utilities for mISDN.

%description utils -l pl.UTF-8
mISDN (modularny ISDN) ma być nowym stosem ISDN dla jądra Linuksa 2.6
tworzonym przez maintainera obecnego kodu isdn4linux. Ten pakiet
zawiera narzędzia testowe dla mISDN.

%prep
%setup -q -n %{name}-%{_ver}
%patch0 -p0
rm -rf voip

%build
%{__make} -j1 \
	CC="%{__cc}" \
	CFLAGS="-I`pwd`/include %{rpmcflags}" \
	MISDNDIR=`pwd`

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL_PREFIX=$RPM_BUILD_ROOT \
	MISDNDIR=`pwd` \
	LIBDIR=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/mISDNuser

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mISDNuser.spec,v $
Revision 1.22  2009/02/26 12:48:55  marcus
- md5

Revision 1.21  2009/02/26 12:48:07  marcus
- up to 1.1.9

Revision 1.20  2008/07/03 21:02:02  marcus
- md5

Revision 1.19  2008/07/03 20:57:43  marcus
- up to 1.1.8

Revision 1.18  2008/01/25 22:21:30  qboosh
- updated md5

Revision 1.17  2008-01-23 19:27:13  marcus
- up to 1.1.7.2

Revision 1.16  2007-11-25 10:22:13  arekm
- up to 1.1.7

Revision 1.15  2007/09/27 07:36:50  marcus
- up to 1.1.6

Revision 1.14  2007/09/21 08:34:03  arekm
- devel R: mISDN-devel

Revision 1.13  2007/09/21 06:47:13  arekm
- pass CC; limit to -j1

Revision 1.12  2007/07/09 15:46:21  marcus
- up to 1.1.5

Revision 1.11  2007/06/14 10:58:41  marcus
- up to 1.1.4

Revision 1.10  2007/05/30 13:28:49  marcus
- up to 1.1.3

Revision 1.9  2007/03/31 22:39:28  marcus
- up to 1.1.1

Revision 1.8  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.6  2007/01/14 21:15:27  qboosh
- pl, files cleanup

Revision 1.5  2007/01/01 21:45:36  glen
- unify

Revision 1.4  2006/12/31 09:16:54  marcus
- fixed Req.

Revision 1.3  2006/12/31 09:07:23  marcus
- added md5

Revision 1.2  2006/12/31 09:06:26  marcus
- adapterized, modified for PLD
